export const descs = {
  SCHOOL: '截止到昨日，【进行中】乐团的【合作单位】总数',
  MUSIC_GROUP_NUM: '截止到昨日，【进行中】乐团总数',
  MUSIC_GROUP_STUDENT: '截止到昨日，【进行中】乐团【在读】学员总数，分部下去重',
  OTHER_STUDENT: '截止到昨日，学员有剩余VIP/网管未上课时的人数总数，分部下去重',
  ACTIVATION_RATE: '截止到昨日，平台注册学员激活率，平台注册学员设置密码人数/注册学员总数',
  HOMEWORK_CREATE_RATE: '本月截止到昨日，服务指标的作业布置率',
  HOMEWORK_SUBMIT_RATE: '本月截止到昨日，已布置的作业学员提交率',
  HOMEWORK_COMMENT_RATE: '本月截止到昨日，学员已提交的作业老师点评率',
  SHOULD_INCOME_MONEY: '本年度截止到当月所有缴费项目应收金额总和',
  ANTICIPATED_INCOME_MONEY: '本年度截止到当月已缴费但实际还未产生费用金额总和',
  SHOULD_EXPEND_MONEY: '本年度截止到当月预计支出费用总和（暂无此数据）',
  ANTICIPATED_EXPEND_MONEY: '本年度截止到当月应付金额总和（暂无此数据）',
  REVENUE_MONEY: '本年度截止到当月营收金额总和',
  TEACHER_NUM: '截止到昨日【非冻结】的老师总数',
  FULL_TIME_NUM: '截止到昨日【非冻结】且工作类型为【全职】的老师总数',
  PART_TIME_NUM: '截止到昨日【非冻结】且工作类型为【兼职】的老师总数',
  DIMISSION_NUM: '已冻结或者截止到昨日已设置【离职时间】且时间在昨日之前的老师总数',
  NEWLY_STUDENT_NUM: '本年度截止到昨日，新增的乐团【在读】学员总数（去重）',
  QUIT_MUSIC_GROUP_STUDENT_NUM: '本年度截止到昨日，乐团退团学员总数（去重）',
  STUDENT_CONVERSION: '度截止到昨日，乐团预报名学员中正式报名缴费的学员购买VIP/网管课的转化率（不包括退团学员）',
  MUSIC_GROUP_COURSE: '截止到昨日，【已结束】乐团课程总数',
  VIP_GROUP_COURSE: '截止到昨日，【已结束】VIP课程总数',
  PRACTICE_GROUP_COURSE: '截止到昨日，【已结束】网管课程总数',
}

export const errorType = {
  MUSIC_PATROL_ITEM: {
    isError: false,
  },
  HIGH_CLASS_STUDENT_LESS_THAN_THREE: {
    isError: true,
  },
  STUDENT_NOT_PAYMENT: {
    isError: true,
  },
  STUDENT_APPLY_FOR_QUIT_MUSIC_GROUP: {
    isError: true
  },
  WAIT_CREATE_PAYMENT_CALENDER: {
    isError: true
  },
  COURSE_TRUANT_STUDENT_NUM: {
    isError: true
  },
  COURSE_LEAVE_STUDENT_NUM: {
    isError: true,
    parent: 'COURSE_TRUANT_STUDENT_NUM'
  },
  TEACHER_EXCEPTION_ATTENDANCE: {
    isError: true
  },
  TEACHER_NOT_A_CLASS: {
    isError: true,
    parent: 'TEACHER_EXCEPTION_ATTENDANCE'
  },
  TEACHER_LEAVE: {
    isError: false
  },
  TEACHER_EXPECT_SALARY_BE_LOW: {
    isError: false
  },
}

export const matterTypes = {
  INSPECT: '下校巡查',
  VISIT: '学员回访',
}
